* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
::selection {
    background-color: #4f7698;
    color: white;
}
html {
    scroll-behavior: smooth;
}
body {
    color: #d8d8d8;
    background-color: #131313;
}
.bold {
    font-weight: bold;
}

.filters {
    filter: grayscale(0.4) brightness(0.7);
}
.darken {
    filter: brightness(0.6);
}
h2,
p {
    padding-bottom: 20px;
    padding-top: 20px;
}
h1,
h2 {
    font-family: Oswald, sans-serif;
}
p,
figcaption {
    font-family: "Alegreya Sans", sans-serif;
}
article {
    background-color: #1f272e;
    color: inherit;
    padding: 30px;
    width: 100%;
    margin-bottom: 20px;
    margin-top: 20px;
}
.container article:hover,
.container article:focus {
    background-color: #0c2236;
    color: #aacdeb;
}
header p,
header h1 {
    padding: 15px;
    text-align: center;
    position: relative;
}
header {
    height: 160px;
    margin-bottom: 30px;
}
header div figure img {
    height: 220px;
}
body {
    position: relative;
    min-height: 100vh;
    padding-bottom: 70px;
}
footer {
    position: sticky;
    height: 50px;
    width: 100%;
}
footer a {
    color: #7eb8ec;
    background-color: transparent;
}
footer a:hover,
footer a:focus {
    color: #2c69a0;
    background-color: transparent;
}
nav:last-of-type {
    background-color: #131313;
    color: #e8e8e8;
    padding-left: 30px;
}
footer div {
    background-color: #0c2236;
    color: #e8e8e8;
    padding-left: 10px;
    text-align: center;
}
footer p:last-of-type {
    color: #5b9fdc;
    background-color: transparent;
}
nav:last-of-type,
nav:last-of-type a {
    background-color: transparent;
    color: #89949d;
    fill: #89949d;
}
nav:last-of-type a:hover,
nav:last-of-type a:focus {
    color: #596773;
    fill: #596773;
}
header figure {
    width: 100%;
    position: absolute;
}
header figure img {
    width: 100%;
    object-fit: cover;
    left: 0;
    height: 160px;
    object-position: bottom center;
}
.container {
    width: 100%;
}
.container div article figure img {
    width: 100%;
}
.container {
    display: block;
}
.container div:first-of-type {
    padding-top: 50px;
}

body nav:first-of-type a:first-of-type i {
    color: #6189ad;
    position: fixed;
    font-size: 50px;
    right: 20px;
    top: 20px;
    z-index: 2;
}
body nav:first-of-type a:first-of-type i:hover {
    color: #406689;
}
@media screen and (min-width: 1100px) {
    header {
        font-size: 130%;
    }
    .container article {
        inset: 0;
        border-radius: 5% 20% 0 10%;
        width: 360px;
        float: left;
        margin-left: 3rem;
        padding: 30px;
        overflow: auto;
        vertical-align: middle;
        border-left: 1px solid transparent;
    }
    .container div article figure img {
        float: left;
        margin-right: 15px;
    }
    .container {
        overflow: auto;
    }
    .container div:first-of-type {
        padding-top: 0;
    }
    .container div article figure img {
        filter: blur(2px) brightness(0.4) grayscale(0.5);
    }
    .container div article:hover figure img {
        filter: brightness(0.6);
    }
    .container article:hover,
    .container article:focus {
        border-left: 1px solid #aacdeb;
    }
    header h1 {
        padding-top: 20px;
    }
    header figure {
        width: 100%;
        position: absolute;
    }
    header figure img {
        width: 100%;
        left: 0;
        align-items: center;
    }
    header {
        height: 200px;
        clip-path: ellipse(95% 94% at 50% 0%);
    }
}
@media screen and (min-width: 600px) and (max-width: 1100px) {
    .container div:first-of-type {
        padding-top: 20px;
    }

    .container article {
        inset: 0;
        border-radius: 5% 20% 0 10%;
        margin-right: 3rem;
        float: inline-end;
    }
    .container div:first-of-type article,
    .container #story article {
        inset: 0;
        border-radius: 20% 5% 10% 0%;
        margin-left: 3rem;
        float: left;
    }
    .container article {
        width: 360px;
    }
    header figure img {
        background-color: #196db9;
        padding: 3px;
        clip-path: polygon(0 0, 100% 0%, 75% 100%, 0% 100%);
    }
    header div figure img {
        height: 200px;
    }
    header figure {
        position: absolute;
        filter: brightness(0.5);
        height: 200px;
        width: 300px;
    }
    header p {
        height: 200px;
    }
    header {
        align-items: stretch;
        width: 100%;
        height: 200px;
        background-image: url("../../images/pexels-pixabay-261152.jpg");
        background-position: left bottom;
    }
    header div {
        background-color: rgba(19, 19, 19, 0.8);
        padding-bottom: 30px;
    }
    .container {
        overflow: auto;
    }
}
